Index: src/Actions/unittests/ActionSequenceUnitTest.cpp
===================================================================
--- src/Actions/unittests/ActionSequenceUnitTest.cpp	(revision 1e882ae154f988507b4a6df2947209c31d475449)
+++ src/Actions/unittests/ActionSequenceUnitTest.cpp	(revision fdcd1b73588b7c15f87110828836b0ef8c3f12ec)
@@ -29,5 +29,5 @@
 #include "Actions/ActionRegistry.hpp"
 
-#include "unittests/DummyUI.hpp"
+#include "stubs/DummyUI.hpp"
 
 #ifdef HAVE_TESTRUNNER
Index: src/Actions/unittests/Makefile.am
===================================================================
--- src/Actions/unittests/Makefile.am	(revision 1e882ae154f988507b4a6df2947209c31d475449)
+++ src/Actions/unittests/Makefile.am	(revision fdcd1b73588b7c15f87110828836b0ef8c3f12ec)
@@ -34,5 +34,6 @@
 ActionSequenceUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
 	../Actions/unittests/ActionSequenceUnitTest.cpp \
-	../Actions/unittests/ActionSequenceUnitTest.hpp
+	../Actions/unittests/ActionSequenceUnitTest.hpp \
+	../Actions/unittests/stubs/DummyUI.hpp
 ActionSequenceUnitTest_LDADD = ${ACTIONLIBS}
 
@@ -44,5 +45,6 @@
 ManipulateAtomsUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
 	../Actions/unittests/ManipulateAtomsUnitTest.cpp \
-	../Actions/unittests/ManipulateAtomsUnitTest.hpp
+	../Actions/unittests/ManipulateAtomsUnitTest.hpp \
+	../Actions/unittests/stubs/DummyUI.hpp
 ManipulateAtomsUnitTest_LDADD = ${ACTIONLIBS}
 
Index: src/Actions/unittests/ManipulateAtomsUnitTest.cpp
===================================================================
--- src/Actions/unittests/ManipulateAtomsUnitTest.cpp	(revision 1e882ae154f988507b4a6df2947209c31d475449)
+++ src/Actions/unittests/ManipulateAtomsUnitTest.cpp	(revision fdcd1b73588b7c15f87110828836b0ef8c3f12ec)
@@ -34,5 +34,5 @@
 #include "atom.hpp"
 
-#include "unittests/DummyUI.hpp"
+#include "stubs/DummyUI.hpp"
 
 #include "ManipulateAtomsUnitTest.hpp"
Index: src/Actions/unittests/stubs/DummyUI.hpp
===================================================================
--- src/Actions/unittests/stubs/DummyUI.hpp	(revision fdcd1b73588b7c15f87110828836b0ef8c3f12ec)
+++ src/Actions/unittests/stubs/DummyUI.hpp	(revision fdcd1b73588b7c15f87110828836b0ef8c3f12ec)
@@ -0,0 +1,67 @@
+/*
+ * DummyUI.hpp
+ *
+ *  Created on: Jul 29, 2010
+ *      Author: crueger
+ */
+
+#ifndef DUMMYUI_HPP_
+#define DUMMYUI_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "UIElements/UIFactory.hpp"
+#include "UIElements/Dialog.hpp"
+
+class DummyDialog : public Dialog
+{
+public:
+  DummyDialog(){}
+  virtual ~DummyDialog(){}
+
+  virtual void queryEmpty(const char *, std::string = ""){}
+  virtual void queryBoolean(const char *, std::string = ""){}
+  virtual void queryInt(const char *, std::string = ""){}
+  virtual void queryInts(const char *, std::string = ""){}
+  virtual void queryString(const char*, std::string = ""){}
+  virtual void queryStrings(const char*, std::string = ""){}
+  virtual void queryDouble(const char*, std::string = ""){}
+  virtual void queryDoubles(const char*, std::string = ""){}
+  virtual void queryAtom(const char*,std::string = ""){}
+  virtual void queryAtoms(const char*,std::string = ""){}
+  virtual void queryMolecule(const char*,std::string = ""){}
+  virtual void queryMolecules(const char*,std::string = ""){}
+  virtual void queryVector(const char*,bool, std::string = ""){}
+  virtual void queryVectors(const char*,bool, std::string = ""){}
+  virtual void queryBox(const char*, std::string = ""){}
+  virtual void queryElement(const char*, std::string = ""){}
+  virtual void queryElements(const char*, std::string = ""){}
+  virtual void queryFile(const char*, std::string = ""){}
+  virtual void queryRandomNumberDistribution_Parameters(const char*, std::string = ""){}
+};
+
+class DummyUIFactory : public UIFactory
+{
+public:
+  virtual ~DummyUIFactory(){}
+
+  virtual Dialog* makeDialog(){return new DummyDialog;}
+  virtual MainWindow* makeMainWindow(){return 0;}
+
+  struct description : public UIFactory::factoryDescription {
+    description():
+        UIFactory::factoryDescription("Dummy")
+    {}
+    virtual ~description(){}
+
+    virtual UIFactory* makeFactory(){return new DummyUIFactory;};
+  };
+
+protected:
+  DummyUIFactory(){}
+};
+
+#endif /* DUMMYUI_HPP_ */
Index: c/unittests/DummyUI.hpp
===================================================================
--- src/unittests/DummyUI.hpp	(revision 1e882ae154f988507b4a6df2947209c31d475449)
+++ 	(revision )
@@ -1,67 +1,0 @@
-/*
- * DummyUI.hpp
- *
- *  Created on: Jul 29, 2010
- *      Author: crueger
- */
-
-#ifndef DUMMYUI_HPP_
-#define DUMMYUI_HPP_
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "UIElements/UIFactory.hpp"
-#include "UIElements/Dialog.hpp"
-
-class DummyDialog : public Dialog
-{
-public:
-  DummyDialog(){}
-  virtual ~DummyDialog(){}
-
-  virtual void queryEmpty(const char *, std::string = ""){}
-  virtual void queryBoolean(const char *, std::string = ""){}
-  virtual void queryInt(const char *, std::string = ""){}
-  virtual void queryInts(const char *, std::string = ""){}
-  virtual void queryString(const char*, std::string = ""){}
-  virtual void queryStrings(const char*, std::string = ""){}
-  virtual void queryDouble(const char*, std::string = ""){}
-  virtual void queryDoubles(const char*, std::string = ""){}
-  virtual void queryAtom(const char*,std::string = ""){}
-  virtual void queryAtoms(const char*,std::string = ""){}
-  virtual void queryMolecule(const char*,std::string = ""){}
-  virtual void queryMolecules(const char*,std::string = ""){}
-  virtual void queryVector(const char*,bool, std::string = ""){}
-  virtual void queryVectors(const char*,bool, std::string = ""){}
-  virtual void queryBox(const char*, std::string = ""){}
-  virtual void queryElement(const char*, std::string = ""){}
-  virtual void queryElements(const char*, std::string = ""){}
-  virtual void queryFile(const char*, std::string = ""){}
-  virtual void queryRandomNumberDistribution_Parameters(const char*, std::string = ""){}
-};
-
-class DummyUIFactory : public UIFactory
-{
-public:
-  virtual ~DummyUIFactory(){}
-
-  virtual Dialog* makeDialog(){return new DummyDialog;}
-  virtual MainWindow* makeMainWindow(){return 0;}
-
-  struct description : public UIFactory::factoryDescription {
-    description():
-        UIFactory::factoryDescription("Dummy")
-    {}
-    virtual ~description(){}
-
-    virtual UIFactory* makeFactory(){return new DummyUIFactory;};
-  };
-
-protected:
-  DummyUIFactory(){}
-};
-
-#endif /* DUMMYUI_HPP_ */
